#pragma once

#include <string>
#include <istream>

struct Settings
{
    std::string host;
    std::string service;
    std::string password;
    std::string username;
    std::string realname;
    std::string nickname;

    std::string sasl_mechanism;
    std::string sasl_authcid;
    std::string sasl_authzid;
    std::string sasl_password;

    static auto from_stream(std::istream & in) -> Settings;
};

